﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.BLL.HardWare;

namespace WCS.DAL.DbModels
{
    public partial class ModuleInfo
    {

        /// <summary>
        /// 模组Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 模组编码
        /// </summary>
        public string ModuleCode { get; set; }

        /// <summary>
        /// 货架Id
        /// </summary>
        public int ShelfId { get; set; }

        /// <summary>
        /// 货架编码
        /// </summary>
        public string ShelfCode { get; set; }

        /// <summary>
        /// 板子的Id
        /// </summary>
        public int BoardId { get; set; }

        /// <summary>
        /// 板子上有几个灯
        /// </summary>
        public int LightCount { get; set; }

        /// <summary>
        /// 板子所连接模块的Ip
        /// </summary>
        public string CleintIp { get; set; }

        /// <summary>
        /// 第几行
        /// </summary>
        public string R { get; set; }

        /// <summary>
        /// 第几列
        /// </summary>
        public string C { get; set; }

        /// <summary>
        /// 串联后大货架编码;大货架编码：未串联时是与货架编码是一对一的关系；串联后与货架编码是一对多
        /// </summary>
        public string Bigshelfcode { get; set; }

        /// <summary>
        /// 是否被禁用
        /// </summary>
        public bool IsEnable { get; set; }


        public Mode CurentMode { get; set; } = Mode.待机模式;
    }
}
