﻿using System.Collections.Generic;

namespace WCS.Model
{
    public class SysOutOrderByMatCodeRequest : RequestBase
    {
        /// <summary>
        /// 单据编号
        /// </summary>
        public string OrderNumber { get; set; }
        /// <summary>
        /// 单据来源
        /// </summary>
        public string OrderSource { get; set; }
        /// <summary>
        /// 单据类型
        /// </summary>
        public string OrderType { get; set; }

        public List<MatCodeItemList> ItemList { get; set; }
    }

    public class MatCodeItemList
    {
        public string MatCode { get; set; }
        public string MatName { get; set; }
        public string MatBatch { get; set; }
        public int ReqQty { get; set; }
    }
}
