﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.Model
{
    public class ResponseBase
    {
        public int Code { get; set; }

        public string Message { get; set; } 
    }

    public class ResponseBase<T> : ResponseBase
    {
        public T Data { get; set; }
    }

    public class ResponseCommon : ResponseBase
    {
        public object Data { get; set; }
    }

    public class ResponseCommon<T> : ResponseBase
    {
        public T Data { get; set; }
    }
}
